Update Project
curl --request PATCH \
--url https://api.veryfront.com/projects/{project_reference} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Project Name",
"description": "Updated description"
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}"
payload = {
"name": "Updated Project Name",
"description": "Updated description"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Project Name', description: 'Updated description'})
};
fetch('https://api.veryfront.com/projects/{project_reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"slug": "my-project",
"name": "My Project",
"description": "A sample project description",
"is_claimed": true,
"features": [
"<string>"
],
"environments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"protected": true,
"domains": [
"<string>"
],
"environment_variables": [
"<unknown>"
],
"active_release_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"server_hostname": "<string>"
}
],
"releases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"export_status": "<string>",
"build_status": "<string>",
"deploy_status": "<string>"
}
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"published_at": "<string>",
"prompt_count": 123,
"config": {},
"provider": "<string>",
"layout": "<string>",
"type": "regular",
"system_managed": true,
"users": [
{
"id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"avatar_src": "<string>"
}
],
"capabilities": [
"project.read"
],
"capabilities_version": 123,
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"namespace": "<string>",
"key": "<string>",
"value": "<string>",
"color": "<string>"
}
]
}PATCH
/
projects
/
{project_reference}
Update Project
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Example:
"my-project"
Body
application/json
Response
Project updated successfully
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"my-project"
Example:
"My Project"
Example:
"A sample project description"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2024-01-15T10:30:00Z"
Example:
"2024-01-15T10:30:00Z"
Show child attributes
Show child attributes
Available options:
regular, default, template Show child attributes
Show child attributes
Available options:
project.read, project.settings.manage, project.delete, project.members.read, project.members.manage, project.invites.read, project.invites.manage, project.files.read, project.files.write, project.realtime.connect, project.realtime.write, project.files.admin, project.uploads.read, project.uploads.write, project.uploads.admin, project.knowledge.read, project.knowledge.write, project.releases.read, project.releases.write, project.deployments.read, project.deployments.write, project.deploy.execute, project.runtime.manage, project.domains.write, project.environments.manage, project.env_vars.write, project.runs.read, project.runs.write, project.agents.read, project.agents.write, project.evals.read, project.evals.write, project.evals.run, project.conversations.read, project.conversations.write, project.integrations.read, project.integrations.connect, project.integrations.configure, project.api_keys.read, project.api_keys.manage, project.cache.read, project.cache.write, project.logs.read, project.metrics.read, project.resources.read Show child attributes
Show child attributes